## TAN Trigonometric Tangent Function

Section: Mathematical Functions

### Usage

Computes the `tan` function for its argument. The general syntax for its use is

      y = tan(x)

where `x` is an `n`-dimensional array of numerical type. Integer types are promoted to the `double` type prior to calculation of the `tan` function. Output `y` is of the same size and type as the input `x`, (unless `x` is an integer, in which case `y` is a `double` type).

### Function Internals

Mathematically, the `tan` function is defined for all real valued arguments `x` by the infinite summation

or alternately by the ratio

For complex valued arguments `z`, the tangent is computed via

### Example

The following piece of code plots the real-valued `tan(x)` function over the interval `[-1,1]`:

    --> t = linspace(-1,1);
    --> plot(t,tan(t))
    -->
    quit